Events
API Documentation for the BugSplat Events Endpoint
Get a list of events, or post a new event for a given Crash ID or Crash Group (Stack Key) ID.
Get Events
GET https://app.bugsplat.com/api/events
Get all events associated with a Crash Group (Stack Key).
Query Parameters
database
string
Name of the database containing the specified Crash Id or Crash Group (Stack Key).
crashId
number
Crash to fetch events for.
stackKeyId
number
Crash group to fetch events for.
{
"status": "success",
"events": [
{
"id": "118",
"type": "Comment",
"timestamp": "2022-02-02T19:25:11Z",
"uId": "27581",
"username": "bobby@bugsplat.com",
"firstName": "Bobby",
"lastName": "",
"message": "testing 123"
}
]
}Curl Example
Add Comment
POST https://app.bugsplat.com/api/events/comment
Post a new comment for a given Crash Group (Stack Key).
Query Parameters
database
string
Name of the database that contains the specified Crash Id or Crash Group (Stack Key).
crashId
number
Crash to comment on
message*
string
Markdown string containing the body of the comment to post.
stackKeyId
number
Crash group to comment on
Curl Example
Last updated
Was this helpful?
